package com.cim.idm.utils;

//Ajax请求响应对象的类 对于增删改的返回
public class AjaxResult {
	private boolean success = true;
	private String message = "操作成功!";
	private int errorCode = 200;


	//返回到前台对象
	private Object resultObj;

	public boolean isSuccess() {
		return success;
	}

	public AjaxResult setSuccess(boolean success) {
		this.success = success;
		return this;
	}

	public String getMessage() {
		return message;
	}

	public AjaxResult setMessage(String message) {
		this.message = message;
		return this;
	}

	public Object getResultObj() {
		return resultObj;
	}

	public AjaxResult setResultObj(Object resultObj) {
		this.resultObj = resultObj;
		return this;
	}


	public  static AjaxResult me(){
		return new AjaxResult();
	}

	public int getErrorCode() {
		return errorCode;
	}

	public AjaxResult setErrorCode(int errorCode) {
		this.errorCode = errorCode;
		return this;
	}

}